<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@mipmap/bg_like"
    tools:context=".fragment.RankFragment">

    <com.fun.funnyprank.tools.MytextView
        android:id="@+id/rank_title"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="12dp"
        android:text="@string/rank_title"
        android:textColor="@color/main_title_color"
        android:textSize="36sp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />

    <ImageView
        android:id="@+id/rank_1"
        android:layout_width="150dp"
        android:layout_height="300dp"
        android:layout_marginTop="12dp"
        android:src="@drawable/rank_1th_bg"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/rank_title" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cons_1"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="2dp"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/rank_title">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/rank_relative_1"
            android:layout_width="93dp"
            android:layout_height="118dp"
            android:background="@mipmap/rank_1th_image_bg"
            android:padding="4dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:id="@+id/rank_image_1"
                android:layout_width="40dp"
                android:layout_height="40dp"
                android:layout_alignParentTop="true"
                android:layout_marginStart="6dp"
                android:layout_marginTop="10dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />
        </androidx.constraintlayout.widget.ConstraintLayout>

        <com.fun.funnyprank.tools.MytextView
            android:id="@+id/rank_text_1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:textColor="@color/white"
            android:textSize="16sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/rank_relative_1" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <ImageView
        android:id="@+id/rank_2"
        android:layout_width="90dp"
        android:layout_height="200dp"
        android:layout_marginBottom="50dp"
        android:src="@drawable/rank_2th_bg"
        app:layout_constraintBottom_toBottomOf="@id/rank_1"
        app:layout_constraintEnd_toStartOf="@id/rank_1" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cons_2"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="23dp"
        app:layout_constraintEnd_toEndOf="@id/rank_2"
        app:layout_constraintStart_toStartOf="@id/rank_2"
        app:layout_constraintTop_toTopOf="@id/rank_2">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/rank_relative_2"
            android:layout_width="70dp"
            android:layout_height="80dp"

            android:background="@mipmap/rank_2th_image_bg"
            android:padding="4dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:id="@+id/rank_image_2"
                android:layout_width="37dp"
                android:layout_height="37dp"
                android:layout_marginBottom="10dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />
        </androidx.constraintlayout.widget.ConstraintLayout>

        <com.fun.funnyprank.tools.MytextView
            android:id="@+id/rank_text_2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="6dp"
            android:textColor="@color/white"
            android:textSize="15sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/rank_relative_2" />
    </androidx.constraintlayout.widget.ConstraintLayout>

    <ImageView
        android:id="@+id/rank_3"
        android:layout_width="90dp"
        android:layout_height="200dp"
        android:layout_marginBottom="50dp"
        android:src="@drawable/rank_3th_bg"
        app:layout_constraintBottom_toBottomOf="@id/rank_1"
        app:layout_constraintStart_toEndOf="@id/rank_1" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cons_3"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginTop="23dp"
        app:layout_constraintEnd_toEndOf="@id/rank_3"
        app:layout_constraintStart_toStartOf="@id/rank_3"
        app:layout_constraintTop_toTopOf="@id/rank_3">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/rank_relative_3"
            android:layout_width="70dp"
            android:layout_height="80dp"

            android:background="@mipmap/rank_3th_image_bg"
            android:padding="4dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent">

            <ImageView
                android:id="@+id/rank_image_3"
                android:layout_width="37dp"
                android:layout_height="37dp"
                android:layout_marginBottom="10dp"
                app:layout_constraintBottom_toBottomOf="parent"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />
        </androidx.constraintlayout.widget.ConstraintLayout>

        <com.fun.funnyprank.tools.MytextView
            android:id="@+id/rank_text_3"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="6dp"
            android:textColor="@color/white"
            android:textSize="15sp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/rank_relative_3" />
    </androidx.constraintlayout.widget.ConstraintLayout>


    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rank_rv"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:layout_marginTop="-114.5dp"
        android:background="@color/white"
        android:paddingStart="24dp"
        android:paddingTop="10dp"
        android:paddingEnd="24dp"
        android:paddingBottom="10dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toBottomOf="@id/rank_1" />

</androidx.constraintlayout.widget.ConstraintLayout>